# Interface ExtendedLogReaderService

All Superinterfaces:
  `LogReaderService`

public interface ExtendedLogReaderService extends LogReaderService
Extends the OSGi Log Service's LogReaderService to allow better control of log listeners.

Since:
  3.7
See Also:
  - `LogListener`
Thread Safe:

## Method Summary

Modifier and Type
Method
Description
`void`
`addLogListener(LogListener listener, LogFilter filter)`
Subscribes to `LogEntry` objects.

### Methods inherited from interface LogReaderService

`addLogListener, getLog, removeLogListener`

## Method Details

### addLogListener

void addLogListener(LogListener listener, LogFilter filter)
Subscribes to `LogEntry` objects.

This method registers a `LogListener` object with the Log Reader Service with a `LogFilter` to allow pre-filtering of interesting log entries. The `LogListener.logged(LogEntry)` method will be called for each `LogEntry` object placed into the log that matches the filter.

Parameters:
  `listener` - A `LogListener` object to register; the `LogListener` object is used to receive `LogEntry` objects.
  `filter` - A `LogFilter` object to register; the `LogFilter` object is used to filter `LogEntry` objects before sending them to the associated `LogListener`.
See Also:
  - `LogListener`
  - `LogFilter`
  - `LogEntry`
  - `LogReaderService.addLogListener(LogListener)`